ResourceCollection (Apache Ant API)
Keywords: org.apache.tools.ant.types.ResourceCollection interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Interface ResourceCollection

All Known Implementing Classes:
  AbstractClasspathResource, AbstractResourceCollectionWrapper, ArchiveFileSet, ArchiveResource, Archives, BaseResourceCollectionContainer, BaseResourceCollectionWrapper, BCFileSet, BZip2Resource, ClassfileSet, CompressedResource, Concat, ContentTransformingResource, Difference, DirSet, FileList, FileResource, Files, FileSet, First, GZipResource, Intersect, JavaConstantResource, Javadoc.TagArgument, JavaResource, Last, LazyResourceCollectionWrapper, LibFileSet, LogOutputResource, MappedResource, MappedResourceCollection, Path, Path.PathElement, PropertyResource, PropertySet, Resource, ResourceDecorator, ResourceList, Resources, Restrict, SizeLimitCollection, Sort, StringResource, Tar.TarFileSet, TarFileSet, TarResource, Tokens, Union, URLResource, ZipFileSet, ZipResource

    public interface ResourceCollection

Interface describing a collection of Resources.

Since:
  Ant 1.7

Method Summary
`boolean` | `isFilesystemOnly()` Indicate whether this ResourceCollection is composed entirely of Resources accessible via local filesystem conventions.
`java.util.Iterator` | `iterator()` Get an Iterator over the contents of this ResourceCollection, whose elements are `org.apache.tools.ant.types.Resource` instances.
`int` | `size()` Learn the number of contained Resources.

Method Detail

### iterator

    java.util.Iterator iterator()

  Get an Iterator over the contents of this ResourceCollection, whose elements are `org.apache.tools.ant.types.Resource` instances.

  Returns:
    an Iterator of Resources.

### size

    int size()

  Learn the number of contained Resources.

  Returns:
    number of elements as int.

### isFilesystemOnly

    boolean isFilesystemOnly()

  Indicate whether this ResourceCollection is composed entirely of Resources accessible via local filesystem conventions. If true, all Resources returned from this ResourceCollection should be instances of FileResource.

  Returns:
    whether this is a filesystem-only resource collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD